glassfish
  1. glassfish
  2. GLASSFISH-11222

Standalone updatetool fails with seg fault at b74

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Critical Critical
    • Resolution: Incomplete
    • Affects Version/s: V3
    • Fix Version/s: V3
    • Component/s: update_center
    • Labels:
      None
    • Environment:

      Operating System: All
      Platform: Sun

    • Issuezilla Id:
      11,222

      Description

      I am using the promoted b74 that is bundled with the December 1 NetBeans build
      (netbeans-dev-200912010200), on Solaris 10, with jdk1.6.0_17.

      I used the updatetool command to start the update tool. Then I added another
      repository (http://eflat.sfbay:60000). (I'm not sure that's relevant.)

      Then I selected Available Add-Ons, selected one of the add-ons, and clicked Install.

      At this point the update tool conked out with a segmentation fault.

      jdench 48 =>updatetool
      4102 Segmentation Fault

      The same thing happens if I select an add-on and click the License tab for that
      add-on. It happens whether or not I have the server running. There seems to be a
      problem with licenses with the stand-alone update tool.

      The problem does NOT happen if I run the update tool from the Admin Console. In
      that case I get the license to approve and am able to install the add-on component.

      Is this a known problem?

        Activity

        Hide
        Gail Risdal added a comment -

        Added to v3 Release Notes.

        Show
        Gail Risdal added a comment - Added to v3 Release Notes.
        Hide
        Snjezana Sevo-Zenzerovic added a comment -

        This looks like known Solaris patch level issue. Please make sure that your
        Solaris system conforms to updatetool patch requirements as defined in UC
        Release Notes:

        http://wiki.updatecenter.java.net/Wiki.jsp?page=UC2Documentation.ReleaseNotes.2.3

        Admin GUI implementation is using completely different Java based update center
        API which would explain why it is not affected.

        I am closing the issue, please reopen if patch update does not resolve the problem.

        Show
        Snjezana Sevo-Zenzerovic added a comment - This looks like known Solaris patch level issue. Please make sure that your Solaris system conforms to updatetool patch requirements as defined in UC Release Notes: http://wiki.updatecenter.java.net/Wiki.jsp?page=UC2Documentation.ReleaseNotes.2.3 Admin GUI implementation is using completely different Java based update center API which would explain why it is not affected. I am closing the issue, please reopen if patch update does not resolve the problem.

          People

          • Assignee:
            Snjezana Sevo-Zenzerovic
            Reporter:
            Kim Haase
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: